//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 調達案件情報修正機能
 * @author NEC
 * @version 1.0, 2002.07.23, 新規作成<BR>
 *          1.1, 2003.06.18, V3-総合-215対応<BR>
 *          4.0, 2004.01.08, V4-案件変更項目の拡張対応<BR>
 */
//*************************************************************

/*-------------------------------------------------------------
 * HTML読込時
 --------------------------------------------------------------*/
function onStart()
{

  onLoad();

}// onStart

/*-------------------------------------------------------------
 * 案件情報修正確認画面表示処理
 --------------------------------------------------------------*/
function moveProjectInfConfirmView()
{
  // 送信データの整形、設定
  setFormRegist();

  // 画面遷移処理
  dispatch( document.formRegist, 'H511HPR008' );
}//moveProjectInfConfirmView


/*-------------------------------------------------------------
 * 戻るボタン押下時
 --------------------------------------------------------------*/
function backBeforeScreen()
{
  // 画面遷移処理
  dispatch( document.formRegist, 'H511HPR006' );
}//backBeforeScreen

/*-------------------------------------------------------------
 * 戻るボタン押下時(公告（公示）掲載日前用)
 --------------------------------------------------------------*/
function backBeforePublicityDate()
{
  // 送信データの整形、設定
  setFormRegist();

  // 画面遷移処理
  dispatch( document.formRegist, 'H5104HPR001' );
}//backBeforeScreen


/*-------------------------------------------------------------
 * 送信データの整形、設定を行う
 --------------------------------------------------------------*/
function setFormRegist()
{
  // 等級を送信用フォームにセット
  var value="";
  var areaSum="";

  with( document.formRegist )
  {
    // 等級
    if( typeof(classification)!=typeof(undefined) )
    {
      value+=( classificationA.checked ) ? "1" : "0" ;
      value+=( classificationB.checked ) ? "1" : "0" ;
      value+=( classificationC.checked ) ? "1" : "0" ;
      value+=( classificationD.checked ) ? "1" : "0" ;
      value+="0";

      classification.value=value;
    }

    // 総合評価計算式
    if( typeof(calcType)!=typeof(undefined) )
    {
      var id_no=calcType.value.split(",");

      calcTypeID.value=id_no[0];
      calcTypeNumber.value=id_no[1];
    }

    // 証明書等締切予定日時
    if( typeof(certificateAcceptEndTime)!=typeof(undefined) )
    {
      certificateAcceptEndTime.value=certificateAcceptEndTime1.value+" "+certificateAcceptEndTime2.value;
    }

    // 入札締切予定日時
    if( typeof(tenderAcceptEndTime)!=typeof(undefined) )
    {
      tenderAcceptEndTime.value=tenderAcceptEndTime1.value+" "+tenderAcceptEndTime2.value;
    }

    // 開札予定日時
    if( typeof(tenderPreExecuteTime)!=typeof(undefined) )
    {
      tenderPreExecuteTime.value=tenderPreExecuteTime1.value+" "+tenderPreExecuteTime2.value;
    }

    // 地域区分項目編集（BITのORをとる）
    if( typeof(areaNumber)!=typeof(undefined) )
    {
      var i=areaNumbers.length - 1;
      for( ; i>=0 ; i-- )
      {
        if( areaNumbers[i].checked )
          areaSum = areaSum + "1";
        else
          areaSum = areaSum + "0";
      }
      areaNumber.value=areaSum;
    }
  }
}
